org.jasypt.web.pbeconfig

## Class WebPBEInitializationContextListener

- Object
- - org.jasypt.web.pbeconfig.WebPBEInitializationContextListener

- All Implemented Interfaces:
    EventListener, javax.servlet.ServletContextListener

      public final class WebPBEInitializationContextListener
      extends Object
      implements javax.servlet.ServletContextListener

  ContextListener which takes a `WebPBEInitializer` implementation class name as a parameter (<context-param>) and calls its `initializeWebPBEConfigs()` method to allow the webapp to create its PBE encryptors and declare their associated `WebPBEConfig` objects.

  An example `web.xml` fragment:

          <context-param>
            <param-name>webPBEInitializerClassName</param-name>
            <param-value>myapp.MyWebPBEInitializer</param-value>
          </context-param>

          <listener>
            <listener-class>
              org.jasypt.web.pbeconfig.WebPBEInitializationContextListener
            </listener-class>
          </listener>

  Important: If the web application uses Spring Framework, `WebPBEConfig` objects are declared as beans in the Spring context and this Spring context is initialized at application deploy time (with Spring's `ContextLoaderListener`), the use of this context listener will become unnecessary.

  Since:
    1.3
  Author:
    Daniel Fernández

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `INIT_PARAM_INITIALIZER_CLASS_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebPBEInitializationContextListener()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `contextDestroyed(javax.servlet.ServletContextEvent sce)`
    `void` | `contextInitialized(javax.servlet.ServletContextEvent sce)`

    - ### Methods inherited from class Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INIT_PARAM_INITIALIZER_CLASS_NAME

          public static final String INIT_PARAM_INITIALIZER_CLASS_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### WebPBEInitializationContextListener

          public WebPBEInitializationContextListener()

  - ### Method Detail

    - #### contextDestroyed

          public void contextDestroyed(javax.servlet.ServletContextEvent sce)

      Specified by:
        `contextDestroyed` in interface `javax.servlet.ServletContextListener`

    - #### contextInitialized

          public void contextInitialized(javax.servlet.ServletContextEvent sce)

      Specified by:
        `contextInitialized` in interface `javax.servlet.ServletContextListener`

Copyright © 2019 The JASYPT team. All rights reserved.